net.corda.core.math

## Class SplineFunction

- net.corda.core.math.SplineFunction

-     public class SplineFunction

  A spline is function piecewise-defined by polynomial functions. Points at which polynomial pieces connect are known as knots.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplineFunction(java.util.TreeMap<java.lang.Double,net.corda.core.math.Polynomial> segmentMap)` A spline is function piecewise-defined by polynomial functions. Points at which polynomial pieces connect are known as knots.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getValue(double x)`

- - ### Constructor Detail

    - #### SplineFunction

          public SplineFunction(java.util.TreeMap<java.lang.Double,net.corda.core.math.Polynomial> segmentMap)

      A spline is function piecewise-defined by polynomial functions. Points at which polynomial pieces connect are known as knots.

      Parameters:
        `segmentMap` - a mapping between a knot and the polynomial that covers the subsequent interval.

  - ### Method Detail

    - #### getValue

          public double getValue(double x)